Skip to navigation

Recover from an uploaded snapshot (shard)

Recovers the shard of a local collection from an uploaded snapshot. This will overwrite any collection data, which is stored in this shard.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection
shard_idintegerRequired
Id of the shard to recover

Query parameters

waitbooleanOptional

If true, wait for changes to actually happen. If false - let changes happen in background. Default is true.

priorityenumOptional
Defines source of truth for snapshot recovery
Allowed values:
checksumstringOptional
Optional SHA256 checksum to verify snapshot integrity before recovery.

Request

Snapshot to recover from
snapshotfileOptional

Response

successful operation
timefloatOptional
Time spent to process this request
statusstringOptional
resultbooleanOptional

Errors

4XX
Client Request Error